///////////////
// IanniX
///////////////

////////////////////////////
// NxNetwork.cpp
////////////////////////////

#include "NxNetwork.h"

NxNetwork::NxNetwork()
{}

NxNetwork::NxNetwork(QString inHost, int inPort)
{
	if( inHost.compare("localhost") == 0 ) host = QHostAddress::LocalHost ;
	else host.setAddress(inHost) ;
	
	port = inPort;
}

void NxNetwork::sendPacket(char *packet, int packet_size, bool broadcast)
{
	//printf("Broadcasting Packet!\n");
	if(broadcast) writeDatagram(packet, packet_size, QHostAddress::Broadcast, port);
	else writeDatagram(packet, packet_size, host, port); 
}

