///////////////
// IanniX
///////////////

////////////////////////////
// NxTime
////////////////////////////

#ifndef NXTIME_H
#define NXTIME_H

#include <QtGui>
#include "NxPainter.h"
#include "../graphics/opengl/NxGLScore.h"

class NxTime : public QDialog
{
    Q_OBJECT

public:
    NxTime( QWidget* parent = 0, int chooser = 0 );
    ~NxTime();

	int editorType ;
	
	// Widgets
	QTableWidget *statesTable ;
	QPushButton *addButton, *removeButton, *applyButton  ;

	//
	NxGLScore *parentBox;
	NxPainter *timePainter;
	
	// Control variables
	int nbStates;
	State *tmpStates;
	
protected:

protected slots:
	virtual void updateStateTypes() ;
	virtual void updateState( int inRow, int inCol ) ;
	virtual void addLine() ;
	virtual void removeLine() ;
	virtual void updatePainter() ;
	virtual void assignTimeline();
};

#endif // NXTIME_H

